Introducing DS Clock

Welcome to DS Clock Online Documentation!

DS Clock is a digital desktop clock that displays variable date and time information built from the format string.

The program can synchronize computer's clock with Atomic Time Servers.

It allows you to fully customize its look and feel. You can select any combination of date and time, pick custom colors and fonts, set custom sound to play at the top of the hour, etc.

Besides, DS Clock allows you to show the tooltip with upcoming reminders of Calendarscope™, and supports Swatch Internet Time.

Double-click the clock to invoke the default command, which is to show the Preferences dialog box.

Right-click the clock to display a context menu with various commands.


Clock tab

The Clock tab allows you to configure how you, as the user, wants to have the DS Clock application looking and working.

  • Format string - type the desired format string or click the buttons to pick display elements from the drop-down menus.
  • Samples - this button allows you to quickly select the predefined sample formats.
  • - click this button to specify the clock display alignment.
  • Date, Time and Separator - these buttons allow you to pick from the list of date, time, and separator format elements.
  • Reset - resets format string to default system format.
  • Use custom colors - select this check box to specify custom colors for clock display
    • Text color - click this button to pick desired color for clock text.
    • Background color - click this button to pick desired color for clock background.
  • Use custom font - select this check box to specify custom font for clock display.
    • Change - click this button to select the desired font for clock text.
  • Show Calendarscope tooltip - select this check box to show tooltip while the mouse cursor is above the clock.
  • Show 3D border around the clock select this check box to to show border around the clock.
  • Margins - specify the bound margins for the clock.
  • Play sound at the top of the hour - select this check box to enable sound.
    • Browse... - click this button to select a sound file.
    • Play - click this button to test the selected sound file.
  • Play sound at on the half hour - select this check box to enable sound.
    • Browse... - click this button to select a sound file.
    • Play - click this button to test the selected sound file.
  • Load program on startup - select this option and DS Clock will automatically start when you turn on your computer.

Note
  • When you pick a format element, it is inserted into the current cursor position, replacing any text that is selected. To separate new element from others the hidden separator is inserted before and after the new element.


Synchronization tab

  • Time Server - select a time server near you from the list. The list is sorted by internet country code and contains time servers with public access.
  • Adjust time automatically - specify the interval how often the system time should be synchronized. If you set this value to zero, time will be synchronized only once when the program is started (and if you use Dial-Up Networking to connect to the network, the first time you manually establish a network connection).
  • Adjust Now - click the button, to adjust the time right away.
  • Adjust minutes and seconds only - select this option to synchronize only minutes and seconds. In this case the hours value stays unchanged. It is useful for those with irregular Windows time zone settings.
  • View Log - click the button to open the log file with an associated viewer.

Note
  • If you don't wish to synchronize time, select [ Do not synchronize ] in the Time Server list.


Customizing clock display

How to customize?

To customize the clock display open the Preferences dialog box.

Picking date and time information to display

Clock displays date and time information built from the format string. Format string consists of the format elements, which represent pieces of information, such as hour or day name.

Setting colors and font for clock display

If you want to show clock using non-standard colors, select the Use custom colors check box. This will enable color buttons Text color and Background color. Click them to pick appropriate colors for clock text and background.

To use non-standard font, select the Use custom font check box, click Change, and select the font and other options you want.

Changing clock width and height

Clock width and height are calculated automatically.

Clock is usually displayed on a single line, however you can display clock on multiple lines. Use the line break format element for this purpose.

Note
  • All changes you made in the dialog are shown immediately in the clock. If you click Cancel, then previous settings will be restored.


How to adjust time via the Internet

This feature allows you to synchronize your computer's clock with Atomic Time Servers.
DS Clock can check time regular in specified time periods and adjust your system time automatically, or your may do it yourself manually. The program uses SNTP-protocol to connect to the Time Servers.

Synchronization Settings

Note
  • If your computer is located behind a firewall, you should contact your firewall administrator to configure the firewall to allow SNTP protocol messages. (Port 123)


Swatch Internet time

What is Swatch Internet time?

Swatch Internet time represents a completely new global concept of time, one without time zones or geographical borders.

In short Swatch has divided up the virtual and real day into 1000 "beats". One Swatch beat is the equivalent of 1 minute 26.4 seconds. That means that 12 noon in the old time system is the equivalent of @500 Swatch beats. As a result Internet Time is the same all over the world.

A day in Internet Time begins at midnight Central European Wintertime (GMT+0100).

How to display Swatch time using DS Clock?

To display Swatch time in the clock, use the @ time format element while customizing clock display.


Moving clock around the screen

  • Drag the clock until it is over the place where you want the clock to appear and release the mouse button.


Tooltip

Today's upcoming reminders of Calendarscope™ are shown in the tooltip. There are icons, messages and expected run times displayed.

Note
  • Your should have Calendarscope™ running in order to see the upcoming reminders.


About clock formats

Format strings are used to build the clock display.

Format string consists of format elements, that represent pieces of information such as day, month, minutes and others.

When format string is used to build, for example, a clock display, then corresponding format elements are replaced with their actual values.

For example the string "hh:mm:ss tt ddd.dd" will produce "04:35:17 PM Tue.01" at the 4:35:17 PM on the 1st of August of the year 2000.

You may use the following kinds of format elements:

  • Date elements
  • Time elements
  • Separator elements


Date format elements

d dd ddd dddd | Day Day (two digits) Day of week (abbreviated) Day of week (full)
M MM MMM MMMM | Month Month (two digits) Month name (abbreviated) Month name (full)
yy yyyy | Year (two digits) Year (four digits)
gg | Period/era (not used with Western calendar systems)
w ww | Week number (determined according to ISO8601 *) Week number (2 digits)
D DDD | Day of year Day of year (3 digits)

Note
  • These elements are case sensitive.
  • * Briefly, ISO8601 states that each week begins on a Monday, and week #1 of any year is the first week that contains January 4.


Time format elements

h hh H HH | Hour (1 - 12) Hour (01 - 12) Hour (0 - 23) Hour (00 - 23)
m mm | Minute Minute (two digits)
s ss | Second Second (two digits)
t tt | A/P* AM/PM*
ZZ | Time zone name
@ | Swatch Internet time (@xxx)

Note
  • These elements are case sensitive.
  • * AM/PM strings can be changed in the Control Panel Regional settings.


Separator format elements

' '
~
|
:
;
.
,
''
/
-
% 		Space
Literal text*
Hidden separator**
Line break
Colon
Semicolon
Dot
Comma
Single quotes
Slash
Dash
Percent

Note
  • *To include arbitrary text into the format, enclose it in the single quotation marks.
  • ** Hidden separator doesn't insert anything into the clock display, but it is used to separate format elements one from another.


Technical Support

Before you contact us, please do the following:

  • Be sure that you’re doing everything right. We all make mistakes sometimes… Be attentive.
  • Look at the Help file: it may already contain an answer to your question. A lot of people ask us something like “How do I…”, though the complete information is there (in the document you’re reading now).
  • Visit DS Clock home page in the Internet at http://www.dualitysoft.com/dsclock/.

But if you still have a problem with DS Clock and noting else helps, please contact us at:

E-mail: dsclock@dualitysoft.com

Please inform us about the following:

  • Program version (from About dialog box)
  • Where did you get DS Clock (http or ftp site)
  • Windows 95/98/ME/NT4/2000 version (including service packs and other fixes installed), US or international, OEM or not
  • Description of your problem (as much information as possible to retrieve the problem)
Note
  • We’ll try to help you as fast as possible, usually in one or two business days.
  • If you have any comments or suggestions for the next releases, please feel free to post them to us.


How to uninstall

How to uninstall DS Clock

It is easy to remove DS Clock from your system.
The following steps will remove the DS Clock application and the settings in the registry from your system:

  1. Click here [image] to open the Control Panel Add/Remove Programs applet.
  2. Locate the DS Clock in the list of installed programs and select it.
  3. Click the Add/Remove button to start removing the application.

Note
  • Be sure to close this DS Clock help file before clicking the Add/Remove button. Otherwise the uninstaller can’t delete the file from your system.


A-book

A-book A-book is a full-featured contact manager with intuitive Explorer-like interface. You can keep all your friends, family and business contacts' information in one organized and clear environment. A-book combines two approaches in its interface: a user-friendly treeview representing a hierarchical structure of multiple user-defined "books" and a tabbed alphabet bar for quick filtering of the contacts.
You can easily manage your books and contacts using drag-and-drop. Each contact record stores plenty of data such as name fields, phone numbers, e-mails, addresses, birthdays, job and family information. You can also specify text style and background color. Powerful search feature helps you to find desired information in the database. If you have a modem, you can dial a phone numbers, specified in the contact record. A-book will automatically redial a busy number and put your call into the call log, which is created for every contact. If you make frequent calls to particular phone numbers create a speed dial list.

For more information please visit A-book Home page at http://www.dualitysoft.com/abook/


A-Converter

A-Converter A-Converter is a handy utility, that can handle unit conversions in number of categories, such as Length, Volume, Area, Mass, Time and more. Just enter the value, select category with the source units and you will get the list of converted values, ready to be copied into the clipboard with or without the units label. There are several options to customize the appearance and behavior of the program. A-Converter is designed to be very compact, consuming little desktop space while active and minimizing to the system tray. A-Converter is a program that's both versatile and very easy to use.

For more information please visit A-Converter Home page at http://www.dualitysoft.com/aconverter/.


Calendarscope™

Calendarscope Calendarscope is a full-featured calendar program for planning, managing, and scheduling appointments, meetings, birthdays, vacations, and special events. It allows you to view all your events in a daily, weekly, or monthly overview. Reminders have customizable fonts, colors, and sounds, and may contain live web URLs and email addresses. Many of the main program features are accessible from a tray icon.
Using Calendarscope, you can create single or recurring events, color-code different event types, set reminders for upcoming events, and more. A Drag and drop feature allows you to easily reschedule an event, or change its duration. You can also print your calendar to take it with you, or save it in HTML to publish it to the Web or to a company intranet. Unauthorized access to your data is prevented with a strong encryption algorithm such as Twofish.

Get organized and improve your productivity with Calendarscope.

For more information please visit Calendarscope Home page at http://www.dualitysoft.com/calendarscope/


xReminder Pro

xReminder Pro xReminder Pro is an elegant-looking event-based personal information manager that can help you remember birthdays, holidays, and other special events. It starts automatically with Windows and minimizes to the system tray from which you can create new reminders in a few mouse clicks. The program contains fully customizable Floating Clock and supports Swatch Internet Time. Other options include: import-export, stopwatch, countdown, pop-up calendar, print preview, etc.
For more information please visit xReminder Pro Home page at http://www.dualitysoft.com/xreminder/